SDL_WaitForGPUIdle(3)

NAME
SDL_WaitForGPUIdle - Blocks the thread until the GPU is completely idle.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_WaitForGPUIdle(
    SDL_GPUDevice *device);

FUNCTION PARAMETERS

device
    a GPU context.

RETURN VALUE
Returns true on success, false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_WaitForGPUFences(3)